package com.ye.back.mapper;

import com.github.jeffreyning.mybatisplus.base.MppBaseMapper;
import com.ye.back.entity.ChooseCourse;
import org.apache.ibatis.annotations.Mapper;

/**
 * <p>
 *  Mapper 接口
 * </p>
 */
@Mapper
public interface ChooseCourseMapper extends MppBaseMapper<ChooseCourse> {

    int deleteChooseCourse(int userId, int courseId);

    int insertChooseCourse(int userId, int courseId);

    ChooseCourse selectChooseCourseByCourseIdUserId(int userId, int courseId);

    int updateChooseCourse(int userId, int courseId, double usualGrade, double endGrade, double chooseStatus);
}
