package com.ye.back.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ye.back.entity.Course;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 */
@Mapper
public interface CourseMapper extends BaseMapper<Course> {

    List<Course> getThisCourses(Integer userId);

    List<Course> getChooseCourseResult(Integer userId);

    List<Course> getHistoryCourses(Integer userId, Integer term);

    List<Course> getThisStartCourses(Integer userId);

    List<Course> getHistoryStartCourses(Integer userId, Integer term);

    List<Course> getAllStartCourses(Integer schoolId, Integer term);

    List<Course> getThisCoursesHasGrade(Integer userId);

    List<Course> getHistoryGrade(Integer userId, Integer term);
}
