package com.ye.back.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ye.back.entity.User;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 */
@Mapper
public interface UserMapper extends BaseMapper<User> {

    User getUserByUsername(String username);

    List<User> lookPerson(String username, String  roleName);

    List<User> getStudentListByCourseId(Integer courseId);

    List<User> getAllTeachersBySchoolId(Integer schoolId, String name);

    List<User> getStudentsBySchoolId(Integer schoolId, String name);

    List<User> getAllJw();
}
