package com.ye.back.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ye.back.entity.User;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 */
public interface UserService extends IService<User> {

    User getUserByUsername(String usernmae);

    List<Map<String, Object>>  getMenuList(String username);

    Map<String, Object> lookPerson(String username, String roleName, Integer pageNum, Integer pageSize);

    List<User> getStudentListByCourseId(Integer courseId);

    List<User> getAllTeachersBySchoolId(Integer schoolId, String name);

    List<User> getStudentsBySchoolId(Integer schoolId, String name);

    List<Map<String, Object>> getStudentsGradeByCourseId(Integer courseId);

    List<User> getAllJw();
}
